#include <gtk/gtkstyle.h>

#include "gflat_types.h"

typedef struct _GflatStyle GflatStyle;
typedef struct _GflatStyleClass GflatStyleClass;

extern GType gflat_type_style;

#define GFLAT_TYPE_STYLE              gflat_type_style
#define GFLAT_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), GFLAT_TYPE_STYLE, GflatStyle))
#define GFLAT_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GFLAT_TYPE_STYLE, GflatStyleClass))
#define GFLAT_IS_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), GFLAT_TYPE_STYLE))
#define GFLAT_IS_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GFLAT_TYPE_STYLE))
#define GFLAT_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GFLAT_TYPE_STYLE, GflatStyleClass))

struct _GflatStyle
{
	GtkStyle parent_instance;

	GflatColors colors;
	
	guint8   progressbarstyle;
	guint8   menubarstyle;
	guint8   cornerstyle;
	guint8   scrollbarstyle;
	guint8   button_colorborder;
	guint8   menuitemstyle;
	guint8   listviewitemstyle;
  	guint8 	 stroketransparency;
  	guint8 	 buttonstyle;
	GdkColor scrollbar_color;
	gboolean has_scrollbar_color;
	gboolean animation;

};

struct _GflatStyleClass
{
  GtkStyleClass parent_class;
};


void gflat_style_register_type (GTypeModule *module);
